type: com.google.api.codegen.ConfigProto
config_schema_version: 2.0.0
interfaces:
- name: google.cloud.edgecontainer.v1.EdgeContainer
  methods:
  - name: CreateCluster
    long_running:
      initial_poll_delay_millis: 1000
      poll_delay_multiplier: 2
      max_poll_delay_millis: 10000
      total_poll_timeout_millis: 2700000
  - name: DeleteCluster
    long_running:
      initial_poll_delay_millis: 1000
      poll_delay_multiplier: 2
      max_poll_delay_millis: 10000
      total_poll_timeout_millis: 1800000
  - name: CreateNodePool
    long_running:
      initial_poll_delay_millis: 1000
      poll_delay_multiplier: 2
      max_poll_delay_millis: 10000
      total_poll_timeout_millis: 68400000
  - name: UpdateNodePool
    long_running:
      initial_poll_delay_millis: 1000
      poll_delay_multiplier: 2
      max_poll_delay_millis: 10000
      total_poll_timeout_millis: 68400000
  - name: DeleteNodePool
    long_running:
      initial_poll_delay_millis: 1000
      poll_delay_multiplier: 2
      max_poll_delay_millis: 10000
      total_poll_timeout_millis: 1800000
